POST api/sitetimezoneapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteTimeZoneViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| end_date | date |
Required |
|
| id | globally unique identifier |
None. |
|
| offset | decimal number |
Required |
|
| site_id | globally unique identifier |
Required |
|
| start_date | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"end_date": "2026-10-04T07:48:24.8660373+00:00",
"id": "588691d3-5bd8-4332-8165-6e8f33cd03bb",
"offset": 4.1,
"site_id": "89904397-0fad-4f7e-9ee6-bb0883bf9ef9",
"start_date": "2026-10-04T07:48:24.8660373+00:00"
}
application/xml, text/xml
Sample:
<SiteTimeZone xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <end_date>2026-10-04T07:48:24.8660373+00:00</end_date> <id>588691d3-5bd8-4332-8165-6e8f33cd03bb</id> <offset>4.1</offset> <site_id>89904397-0fad-4f7e-9ee6-bb0883bf9ef9</site_id> <start_date>2026-10-04T07:48:24.8660373+00:00</start_date> </SiteTimeZone>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c5bd454e-ae8b-4d8e-92bc-a3d21b56b021"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c5bd454e-ae8b-4d8e-92bc-a3d21b56b021</guid>